/*
 * Check Mbed revision
 *
 * Copyright (c) 2020 Kenji Arai / JH1PJL
 *  http://www7b.biglobe.ne.jp/~kenjia/
 *  https://os.mbed.com/users/kenjiArai/
 *      Revised:    FFeburary  7th, 2020
 *      Revised:    FFeburary  7th, 2020
 */

#include "mbed.h"

//    RUN ONLY ON mbed-os6.0.0-alpha1 (430e64fce8)
//      https://github.com/ARMmbed/mbed-os/releases/tag/mbed-os-6.0.0-alpha1
//    ?????
//      not 6.0.0 but 5.14.2 -> is mbed-os6 a fake revision?
#if (MBED_MAJOR_VERSION == 5) &&\
    (MBED_MINOR_VERSION == 14) &&\
    (MBED_PATCH_VERSION == 2)
#else
//#warning "Please use mbed-os6.0.0-alpha1"
#   error "Please use mbed-os6.0.0-alpha1"
#endif

void print_revision(void)
{
    printf("MBED_MAJOR_VERSION = %d\r\n", MBED_MAJOR_VERSION);
    printf("MBED_MAJOR_VERSION = %d\r\n", MBED_MINOR_VERSION);
    printf("MBED_MAJOR_VERSION = %d\r\n", MBED_PATCH_VERSION);
} 